org.eclipse.jdt.ui.wizards

## Class NewElementWizardPage

- java.lang.Object
- - org.eclipse.jface.dialogs.DialogPage
  - - org.eclipse.jface.wizard.WizardPage
    - - org.eclipse.jdt.ui.wizards.NewElementWizardPage

All Implemented Interfaces:
  IDialogPage, IMessageProvider, IWizardPage

Direct Known Subclasses:
  JavaCapabilityConfigurationPage, NewContainerWizardPage, NewJavaProjectWizardPage, NewModuleInfoWizardPage

    public abstract class NewElementWizardPage
    extends WizardPage

Base class for wizard page responsible to create Java elements. The class provides API to update the wizard's status line and OK button according to the value of a `IStatus` object.

Clients may subclass.

Since:
  2.0

### Field Summary

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

### Constructor Summary

Constructors
Constructor and Description
`NewElementWizardPage(String name)` Creates a `NewElementWizardPage`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setVisible(boolean visible)`
`protected void` `updateStatus(IStatus status)` Updates the status line and the OK button according to the given status
`protected void` `updateStatus(IStatus[] status)` Updates the status line and the OK button according to the status evaluate from an array of status.

### Methods inherited from class org.eclipse.jface.wizard.WizardPage

`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`createControl, dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

### Constructor Detail

#### NewElementWizardPage

    public NewElementWizardPage(String name)

Creates a `NewElementWizardPage`.

Parameters:
  `name` - the wizard page's name

### Method Detail

#### setVisible

    public void setVisible(boolean visible)

Specified by:
  `setVisible` in interface `IDialogPage`
Overrides:
  `setVisible` in class `DialogPage`

#### updateStatus

    protected void updateStatus(IStatus status)

Updates the status line and the OK button according to the given status

Parameters:
  `status` - status to apply

#### updateStatus

    protected void updateStatus(IStatus[] status)

Updates the status line and the OK button according to the status evaluate from an array of status. The most severe error is taken. In case that two status with the same severity exists, the status with lower index is taken.

Parameters:
  `status` - the array of status